
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Anselmo
 */
public class ImageRawGrayScale {
    private int width,height;
    private int[] data;

    public ImageRawGrayScale(int width,int height){
        this.width = width;
        this.height = height;
        this.data = new int[width*height];
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }

    public int getGrayLevel(int i,int j){
        return data[i*width+j];
    }
    public void load(String fileName){
        try {
            FileInputStream file = new   FileInputStream(fileName);
            for (int i = 0; i < data.length; i++)
                data[i] = file.read();
            file.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void save(String fileName){
        try {
            FileOutputStream file = new   FileOutputStream(fileName);
            for (int i = 0; i < data.length; i++)
                file.write(data[i]);
            file.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void print(){
        for (int i=0;i<height;i++){
            for (int j=0;j<width;j++){
                int grayLevel = getGrayLevel(i,j);
                if (grayLevel==255)
                    System.out.print("  ");
                else if (grayLevel>0)
                    System.out.print("++");
                else
                    System.out.print("oo");
            }
            System.out.println();
        }
    }



}
