/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Anselmo
 */
import java.io.*;

public class RandomAccessFileIO {
    
    private RandomAccessFile raf=null;

    public RandomAccessFileIO(){
    }

    public void open(String fileName,String ioArgs){
        if (raf==null)
            try {
                raf = new RandomAccessFile(fileName, ioArgs);
            } catch (FileNotFoundException e) {
            e.printStackTrace();
            }
    }

    public void close(){
        if (raf!=null)
            try {
                raf.close();
                raf = null;
            } catch (IOException e) {
            e.printStackTrace();
            }
    }

    public void write(int pos, int value){
        try {
            raf.seek(pos);
            raf.write(value);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public int read(int pos, int value){
        int val = -1;
        try {
            raf.seek(pos);
            val = raf.read();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return val;
    }

    public void addNoise(double percentage){
        try {
            for (int i = 0; i < raf.length() * percentage; i++) {
                int pos = (int) (Math.random() * (double)raf.length());
                raf.seek(pos);
                raf.writeByte(128);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
